Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network174.4.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
174.4.64.0
Broadcast address
174.4.95.255
First usable
174.4.64.1
Last usable
174.4.95.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
B (default /16)
As numbers
Hex AE044000 · Integer 2919514112 to 2919522303
Reverse DNS zones
64.4.174.in-addr.arpa
65.4.174.in-addr.arpa
66.4.174.in-addr.arpa
67.4.174.in-addr.arpa
68.4.174.in-addr.arpa
69.4.174.in-addr.arpa
70.4.174.in-addr.arpa
71.4.174.in-addr.arpa
72.4.174.in-addr.arpa
73.4.174.in-addr.arpa
74.4.174.in-addr.arpa
75.4.174.in-addr.arpa
76.4.174.in-addr.arpa
77.4.174.in-addr.arpa
78.4.174.in-addr.arpa
79.4.174.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101110.00000100.01000000.00000000174.4.64.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network10101110.00000100.01000000.00000000174.4.64.0
Broadcast10101110.00000100.01011111.11111111174.4.95.255
Split into smaller subnets/30

174.4.64.0/19 makes 2,048 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1174.4.64.0/30174.4.64.1 to 174.4.64.2174.4.64.32
2174.4.64.4/30174.4.64.5 to 174.4.64.6174.4.64.72
3174.4.64.8/30174.4.64.9 to 174.4.64.10174.4.64.112
4174.4.64.12/30174.4.64.13 to 174.4.64.14174.4.64.152
5174.4.64.16/30174.4.64.17 to 174.4.64.18174.4.64.192
6174.4.64.20/30174.4.64.21 to 174.4.64.22174.4.64.232
7174.4.64.24/30174.4.64.25 to 174.4.64.26174.4.64.272
8174.4.64.28/30174.4.64.29 to 174.4.64.30174.4.64.312
9174.4.64.32/30174.4.64.33 to 174.4.64.34174.4.64.352
10174.4.64.36/30174.4.64.37 to 174.4.64.38174.4.64.392
11174.4.64.40/30174.4.64.41 to 174.4.64.42174.4.64.432
12174.4.64.44/30174.4.64.45 to 174.4.64.46174.4.64.472
13174.4.64.48/30174.4.64.49 to 174.4.64.50174.4.64.512
14174.4.64.52/30174.4.64.53 to 174.4.64.54174.4.64.552
15174.4.64.56/30174.4.64.57 to 174.4.64.58174.4.64.592
16174.4.64.60/30174.4.64.61 to 174.4.64.62174.4.64.632
17174.4.64.64/30174.4.64.65 to 174.4.64.66174.4.64.672
18174.4.64.68/30174.4.64.69 to 174.4.64.70174.4.64.712
19174.4.64.72/30174.4.64.73 to 174.4.64.74174.4.64.752
20174.4.64.76/30174.4.64.77 to 174.4.64.78174.4.64.792
21174.4.64.80/30174.4.64.81 to 174.4.64.82174.4.64.832
22174.4.64.84/30174.4.64.85 to 174.4.64.86174.4.64.872
23174.4.64.88/30174.4.64.89 to 174.4.64.90174.4.64.912
24174.4.64.92/30174.4.64.93 to 174.4.64.94174.4.64.952
25174.4.64.96/30174.4.64.97 to 174.4.64.98174.4.64.992
26174.4.64.100/30174.4.64.101 to 174.4.64.102174.4.64.1032
27174.4.64.104/30174.4.64.105 to 174.4.64.106174.4.64.1072
28174.4.64.108/30174.4.64.109 to 174.4.64.110174.4.64.1112
29174.4.64.112/30174.4.64.113 to 174.4.64.114174.4.64.1152
30174.4.64.116/30174.4.64.117 to 174.4.64.118174.4.64.1192
31174.4.64.120/30174.4.64.121 to 174.4.64.122174.4.64.1232
32174.4.64.124/30174.4.64.125 to 174.4.64.126174.4.64.1272
33174.4.64.128/30174.4.64.129 to 174.4.64.130174.4.64.1312
34174.4.64.132/30174.4.64.133 to 174.4.64.134174.4.64.1352
35174.4.64.136/30174.4.64.137 to 174.4.64.138174.4.64.1392
36174.4.64.140/30174.4.64.141 to 174.4.64.142174.4.64.1432
37174.4.64.144/30174.4.64.145 to 174.4.64.146174.4.64.1472
38174.4.64.148/30174.4.64.149 to 174.4.64.150174.4.64.1512
39174.4.64.152/30174.4.64.153 to 174.4.64.154174.4.64.1552
40174.4.64.156/30174.4.64.157 to 174.4.64.158174.4.64.1592
41174.4.64.160/30174.4.64.161 to 174.4.64.162174.4.64.1632
42174.4.64.164/30174.4.64.165 to 174.4.64.166174.4.64.1672
43174.4.64.168/30174.4.64.169 to 174.4.64.170174.4.64.1712
44174.4.64.172/30174.4.64.173 to 174.4.64.174174.4.64.1752
45174.4.64.176/30174.4.64.177 to 174.4.64.178174.4.64.1792
46174.4.64.180/30174.4.64.181 to 174.4.64.182174.4.64.1832
47174.4.64.184/30174.4.64.185 to 174.4.64.186174.4.64.1872
48174.4.64.188/30174.4.64.189 to 174.4.64.190174.4.64.1912
49174.4.64.192/30174.4.64.193 to 174.4.64.194174.4.64.1952
50174.4.64.196/30174.4.64.197 to 174.4.64.198174.4.64.1992
51174.4.64.200/30174.4.64.201 to 174.4.64.202174.4.64.2032
52174.4.64.204/30174.4.64.205 to 174.4.64.206174.4.64.2072
53174.4.64.208/30174.4.64.209 to 174.4.64.210174.4.64.2112
54174.4.64.212/30174.4.64.213 to 174.4.64.214174.4.64.2152
55174.4.64.216/30174.4.64.217 to 174.4.64.218174.4.64.2192
56174.4.64.220/30174.4.64.221 to 174.4.64.222174.4.64.2232
57174.4.64.224/30174.4.64.225 to 174.4.64.226174.4.64.2272
58174.4.64.228/30174.4.64.229 to 174.4.64.230174.4.64.2312
59174.4.64.232/30174.4.64.233 to 174.4.64.234174.4.64.2352
60174.4.64.236/30174.4.64.237 to 174.4.64.238174.4.64.2392
61174.4.64.240/30174.4.64.241 to 174.4.64.242174.4.64.2432
62174.4.64.244/30174.4.64.245 to 174.4.64.246174.4.64.2472
63174.4.64.248/30174.4.64.249 to 174.4.64.250174.4.64.2512
64174.4.64.252/30174.4.64.253 to 174.4.64.254174.4.64.2552
65174.4.65.0/30174.4.65.1 to 174.4.65.2174.4.65.32
66174.4.65.4/30174.4.65.5 to 174.4.65.6174.4.65.72
67174.4.65.8/30174.4.65.9 to 174.4.65.10174.4.65.112
68174.4.65.12/30174.4.65.13 to 174.4.65.14174.4.65.152
69174.4.65.16/30174.4.65.17 to 174.4.65.18174.4.65.192
70174.4.65.20/30174.4.65.21 to 174.4.65.22174.4.65.232
71174.4.65.24/30174.4.65.25 to 174.4.65.26174.4.65.272
72174.4.65.28/30174.4.65.29 to 174.4.65.30174.4.65.312
73174.4.65.32/30174.4.65.33 to 174.4.65.34174.4.65.352
74174.4.65.36/30174.4.65.37 to 174.4.65.38174.4.65.392
75174.4.65.40/30174.4.65.41 to 174.4.65.42174.4.65.432
76174.4.65.44/30174.4.65.45 to 174.4.65.46174.4.65.472
77174.4.65.48/30174.4.65.49 to 174.4.65.50174.4.65.512
78174.4.65.52/30174.4.65.53 to 174.4.65.54174.4.65.552
79174.4.65.56/30174.4.65.57 to 174.4.65.58174.4.65.592
80174.4.65.60/30174.4.65.61 to 174.4.65.62174.4.65.632
81174.4.65.64/30174.4.65.65 to 174.4.65.66174.4.65.672
82174.4.65.68/30174.4.65.69 to 174.4.65.70174.4.65.712
83174.4.65.72/30174.4.65.73 to 174.4.65.74174.4.65.752
84174.4.65.76/30174.4.65.77 to 174.4.65.78174.4.65.792
85174.4.65.80/30174.4.65.81 to 174.4.65.82174.4.65.832
86174.4.65.84/30174.4.65.85 to 174.4.65.86174.4.65.872
87174.4.65.88/30174.4.65.89 to 174.4.65.90174.4.65.912
88174.4.65.92/30174.4.65.93 to 174.4.65.94174.4.65.952
89174.4.65.96/30174.4.65.97 to 174.4.65.98174.4.65.992
90174.4.65.100/30174.4.65.101 to 174.4.65.102174.4.65.1032
91174.4.65.104/30174.4.65.105 to 174.4.65.106174.4.65.1072
92174.4.65.108/30174.4.65.109 to 174.4.65.110174.4.65.1112
93174.4.65.112/30174.4.65.113 to 174.4.65.114174.4.65.1152
94174.4.65.116/30174.4.65.117 to 174.4.65.118174.4.65.1192
95174.4.65.120/30174.4.65.121 to 174.4.65.122174.4.65.1232
96174.4.65.124/30174.4.65.125 to 174.4.65.126174.4.65.1272
97174.4.65.128/30174.4.65.129 to 174.4.65.130174.4.65.1312
98174.4.65.132/30174.4.65.133 to 174.4.65.134174.4.65.1352
99174.4.65.136/30174.4.65.137 to 174.4.65.138174.4.65.1392
100174.4.65.140/30174.4.65.141 to 174.4.65.142174.4.65.1432
101174.4.65.144/30174.4.65.145 to 174.4.65.146174.4.65.1472
102174.4.65.148/30174.4.65.149 to 174.4.65.150174.4.65.1512
103174.4.65.152/30174.4.65.153 to 174.4.65.154174.4.65.1552
104174.4.65.156/30174.4.65.157 to 174.4.65.158174.4.65.1592
105174.4.65.160/30174.4.65.161 to 174.4.65.162174.4.65.1632
106174.4.65.164/30174.4.65.165 to 174.4.65.166174.4.65.1672
107174.4.65.168/30174.4.65.169 to 174.4.65.170174.4.65.1712
108174.4.65.172/30174.4.65.173 to 174.4.65.174174.4.65.1752
109174.4.65.176/30174.4.65.177 to 174.4.65.178174.4.65.1792
110174.4.65.180/30174.4.65.181 to 174.4.65.182174.4.65.1832
111174.4.65.184/30174.4.65.185 to 174.4.65.186174.4.65.1872
112174.4.65.188/30174.4.65.189 to 174.4.65.190174.4.65.1912
113174.4.65.192/30174.4.65.193 to 174.4.65.194174.4.65.1952
114174.4.65.196/30174.4.65.197 to 174.4.65.198174.4.65.1992
115174.4.65.200/30174.4.65.201 to 174.4.65.202174.4.65.2032
116174.4.65.204/30174.4.65.205 to 174.4.65.206174.4.65.2072
117174.4.65.208/30174.4.65.209 to 174.4.65.210174.4.65.2112
118174.4.65.212/30174.4.65.213 to 174.4.65.214174.4.65.2152
119174.4.65.216/30174.4.65.217 to 174.4.65.218174.4.65.2192
120174.4.65.220/30174.4.65.221 to 174.4.65.222174.4.65.2232
121174.4.65.224/30174.4.65.225 to 174.4.65.226174.4.65.2272
122174.4.65.228/30174.4.65.229 to 174.4.65.230174.4.65.2312
123174.4.65.232/30174.4.65.233 to 174.4.65.234174.4.65.2352
124174.4.65.236/30174.4.65.237 to 174.4.65.238174.4.65.2392
125174.4.65.240/30174.4.65.241 to 174.4.65.242174.4.65.2432
126174.4.65.244/30174.4.65.245 to 174.4.65.246174.4.65.2472
127174.4.65.248/30174.4.65.249 to 174.4.65.250174.4.65.2512
128174.4.65.252/30174.4.65.253 to 174.4.65.254174.4.65.2552
129174.4.66.0/30174.4.66.1 to 174.4.66.2174.4.66.32
130174.4.66.4/30174.4.66.5 to 174.4.66.6174.4.66.72
131174.4.66.8/30174.4.66.9 to 174.4.66.10174.4.66.112
132174.4.66.12/30174.4.66.13 to 174.4.66.14174.4.66.152
133174.4.66.16/30174.4.66.17 to 174.4.66.18174.4.66.192
134174.4.66.20/30174.4.66.21 to 174.4.66.22174.4.66.232
135174.4.66.24/30174.4.66.25 to 174.4.66.26174.4.66.272
136174.4.66.28/30174.4.66.29 to 174.4.66.30174.4.66.312
137174.4.66.32/30174.4.66.33 to 174.4.66.34174.4.66.352
138174.4.66.36/30174.4.66.37 to 174.4.66.38174.4.66.392
139174.4.66.40/30174.4.66.41 to 174.4.66.42174.4.66.432
140174.4.66.44/30174.4.66.45 to 174.4.66.46174.4.66.472
141174.4.66.48/30174.4.66.49 to 174.4.66.50174.4.66.512
142174.4.66.52/30174.4.66.53 to 174.4.66.54174.4.66.552
143174.4.66.56/30174.4.66.57 to 174.4.66.58174.4.66.592
144174.4.66.60/30174.4.66.61 to 174.4.66.62174.4.66.632
145174.4.66.64/30174.4.66.65 to 174.4.66.66174.4.66.672
146174.4.66.68/30174.4.66.69 to 174.4.66.70174.4.66.712
147174.4.66.72/30174.4.66.73 to 174.4.66.74174.4.66.752
148174.4.66.76/30174.4.66.77 to 174.4.66.78174.4.66.792
149174.4.66.80/30174.4.66.81 to 174.4.66.82174.4.66.832
150174.4.66.84/30174.4.66.85 to 174.4.66.86174.4.66.872
151174.4.66.88/30174.4.66.89 to 174.4.66.90174.4.66.912
152174.4.66.92/30174.4.66.93 to 174.4.66.94174.4.66.952
153174.4.66.96/30174.4.66.97 to 174.4.66.98174.4.66.992
154174.4.66.100/30174.4.66.101 to 174.4.66.102174.4.66.1032
155174.4.66.104/30174.4.66.105 to 174.4.66.106174.4.66.1072
156174.4.66.108/30174.4.66.109 to 174.4.66.110174.4.66.1112
157174.4.66.112/30174.4.66.113 to 174.4.66.114174.4.66.1152
158174.4.66.116/30174.4.66.117 to 174.4.66.118174.4.66.1192
159174.4.66.120/30174.4.66.121 to 174.4.66.122174.4.66.1232
160174.4.66.124/30174.4.66.125 to 174.4.66.126174.4.66.1272
161174.4.66.128/30174.4.66.129 to 174.4.66.130174.4.66.1312
162174.4.66.132/30174.4.66.133 to 174.4.66.134174.4.66.1352
163174.4.66.136/30174.4.66.137 to 174.4.66.138174.4.66.1392
164174.4.66.140/30174.4.66.141 to 174.4.66.142174.4.66.1432
165174.4.66.144/30174.4.66.145 to 174.4.66.146174.4.66.1472
166174.4.66.148/30174.4.66.149 to 174.4.66.150174.4.66.1512
167174.4.66.152/30174.4.66.153 to 174.4.66.154174.4.66.1552
168174.4.66.156/30174.4.66.157 to 174.4.66.158174.4.66.1592
169174.4.66.160/30174.4.66.161 to 174.4.66.162174.4.66.1632
170174.4.66.164/30174.4.66.165 to 174.4.66.166174.4.66.1672
171174.4.66.168/30174.4.66.169 to 174.4.66.170174.4.66.1712
172174.4.66.172/30174.4.66.173 to 174.4.66.174174.4.66.1752
173174.4.66.176/30174.4.66.177 to 174.4.66.178174.4.66.1792
174174.4.66.180/30174.4.66.181 to 174.4.66.182174.4.66.1832
175174.4.66.184/30174.4.66.185 to 174.4.66.186174.4.66.1872
176174.4.66.188/30174.4.66.189 to 174.4.66.190174.4.66.1912
177174.4.66.192/30174.4.66.193 to 174.4.66.194174.4.66.1952
178174.4.66.196/30174.4.66.197 to 174.4.66.198174.4.66.1992
179174.4.66.200/30174.4.66.201 to 174.4.66.202174.4.66.2032
180174.4.66.204/30174.4.66.205 to 174.4.66.206174.4.66.2072
181174.4.66.208/30174.4.66.209 to 174.4.66.210174.4.66.2112
182174.4.66.212/30174.4.66.213 to 174.4.66.214174.4.66.2152
183174.4.66.216/30174.4.66.217 to 174.4.66.218174.4.66.2192
184174.4.66.220/30174.4.66.221 to 174.4.66.222174.4.66.2232
185174.4.66.224/30174.4.66.225 to 174.4.66.226174.4.66.2272
186174.4.66.228/30174.4.66.229 to 174.4.66.230174.4.66.2312
187174.4.66.232/30174.4.66.233 to 174.4.66.234174.4.66.2352
188174.4.66.236/30174.4.66.237 to 174.4.66.238174.4.66.2392
189174.4.66.240/30174.4.66.241 to 174.4.66.242174.4.66.2432
190174.4.66.244/30174.4.66.245 to 174.4.66.246174.4.66.2472
191174.4.66.248/30174.4.66.249 to 174.4.66.250174.4.66.2512
192174.4.66.252/30174.4.66.253 to 174.4.66.254174.4.66.2552
193174.4.67.0/30174.4.67.1 to 174.4.67.2174.4.67.32
194174.4.67.4/30174.4.67.5 to 174.4.67.6174.4.67.72
195174.4.67.8/30174.4.67.9 to 174.4.67.10174.4.67.112
196174.4.67.12/30174.4.67.13 to 174.4.67.14174.4.67.152
197174.4.67.16/30174.4.67.17 to 174.4.67.18174.4.67.192
198174.4.67.20/30174.4.67.21 to 174.4.67.22174.4.67.232
199174.4.67.24/30174.4.67.25 to 174.4.67.26174.4.67.272
200174.4.67.28/30174.4.67.29 to 174.4.67.30174.4.67.312
201174.4.67.32/30174.4.67.33 to 174.4.67.34174.4.67.352
202174.4.67.36/30174.4.67.37 to 174.4.67.38174.4.67.392
203174.4.67.40/30174.4.67.41 to 174.4.67.42174.4.67.432
204174.4.67.44/30174.4.67.45 to 174.4.67.46174.4.67.472
205174.4.67.48/30174.4.67.49 to 174.4.67.50174.4.67.512
206174.4.67.52/30174.4.67.53 to 174.4.67.54174.4.67.552
207174.4.67.56/30174.4.67.57 to 174.4.67.58174.4.67.592
208174.4.67.60/30174.4.67.61 to 174.4.67.62174.4.67.632
209174.4.67.64/30174.4.67.65 to 174.4.67.66174.4.67.672
210174.4.67.68/30174.4.67.69 to 174.4.67.70174.4.67.712
211174.4.67.72/30174.4.67.73 to 174.4.67.74174.4.67.752
212174.4.67.76/30174.4.67.77 to 174.4.67.78174.4.67.792
213174.4.67.80/30174.4.67.81 to 174.4.67.82174.4.67.832
214174.4.67.84/30174.4.67.85 to 174.4.67.86174.4.67.872
215174.4.67.88/30174.4.67.89 to 174.4.67.90174.4.67.912
216174.4.67.92/30174.4.67.93 to 174.4.67.94174.4.67.952
217174.4.67.96/30174.4.67.97 to 174.4.67.98174.4.67.992
218174.4.67.100/30174.4.67.101 to 174.4.67.102174.4.67.1032
219174.4.67.104/30174.4.67.105 to 174.4.67.106174.4.67.1072
220174.4.67.108/30174.4.67.109 to 174.4.67.110174.4.67.1112
221174.4.67.112/30174.4.67.113 to 174.4.67.114174.4.67.1152
222174.4.67.116/30174.4.67.117 to 174.4.67.118174.4.67.1192
223174.4.67.120/30174.4.67.121 to 174.4.67.122174.4.67.1232
224174.4.67.124/30174.4.67.125 to 174.4.67.126174.4.67.1272
225174.4.67.128/30174.4.67.129 to 174.4.67.130174.4.67.1312
226174.4.67.132/30174.4.67.133 to 174.4.67.134174.4.67.1352
227174.4.67.136/30174.4.67.137 to 174.4.67.138174.4.67.1392
228174.4.67.140/30174.4.67.141 to 174.4.67.142174.4.67.1432
229174.4.67.144/30174.4.67.145 to 174.4.67.146174.4.67.1472
230174.4.67.148/30174.4.67.149 to 174.4.67.150174.4.67.1512
231174.4.67.152/30174.4.67.153 to 174.4.67.154174.4.67.1552
232174.4.67.156/30174.4.67.157 to 174.4.67.158174.4.67.1592
233174.4.67.160/30174.4.67.161 to 174.4.67.162174.4.67.1632
234174.4.67.164/30174.4.67.165 to 174.4.67.166174.4.67.1672
235174.4.67.168/30174.4.67.169 to 174.4.67.170174.4.67.1712
236174.4.67.172/30174.4.67.173 to 174.4.67.174174.4.67.1752
237174.4.67.176/30174.4.67.177 to 174.4.67.178174.4.67.1792
238174.4.67.180/30174.4.67.181 to 174.4.67.182174.4.67.1832
239174.4.67.184/30174.4.67.185 to 174.4.67.186174.4.67.1872
240174.4.67.188/30174.4.67.189 to 174.4.67.190174.4.67.1912
241174.4.67.192/30174.4.67.193 to 174.4.67.194174.4.67.1952
242174.4.67.196/30174.4.67.197 to 174.4.67.198174.4.67.1992
243174.4.67.200/30174.4.67.201 to 174.4.67.202174.4.67.2032
244174.4.67.204/30174.4.67.205 to 174.4.67.206174.4.67.2072
245174.4.67.208/30174.4.67.209 to 174.4.67.210174.4.67.2112
246174.4.67.212/30174.4.67.213 to 174.4.67.214174.4.67.2152
247174.4.67.216/30174.4.67.217 to 174.4.67.218174.4.67.2192
248174.4.67.220/30174.4.67.221 to 174.4.67.222174.4.67.2232
249174.4.67.224/30174.4.67.225 to 174.4.67.226174.4.67.2272
250174.4.67.228/30174.4.67.229 to 174.4.67.230174.4.67.2312
251174.4.67.232/30174.4.67.233 to 174.4.67.234174.4.67.2352
252174.4.67.236/30174.4.67.237 to 174.4.67.238174.4.67.2392
253174.4.67.240/30174.4.67.241 to 174.4.67.242174.4.67.2432
254174.4.67.244/30174.4.67.245 to 174.4.67.246174.4.67.2472
255174.4.67.248/30174.4.67.249 to 174.4.67.250174.4.67.2512
256174.4.67.252/30174.4.67.253 to 174.4.67.254174.4.67.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses